<?php
namespace Modules\API\APIInterne\OxaMobility\Rules;

use Psr\Http\Message\ServerRequestInterface;

// @phpcs:ignore
class LISTE
{
    /** @var ServerRequestInterFace $request */
    protected ServerRequestInterface $request;
    
    /** @var \PDO $pdo */
    protected \PDO $pdo;
    
    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request  = $request;
        $this->pdo      = $pdo;
    }


    /**
     * @return bool
     */
    public function sECTIMPU(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function cODECOMP(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function aRTICLE(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function sSCPTANA(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function cODGEST(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function uO(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function fOURNISS(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function aDRFOURN(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function cENTRE_E(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function cENTRE_F(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function cENTRE(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function cENTRE_R(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function dEMANDE_SERVICE(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function sSITESTO(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function tIERS(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function sTOCKS_DS_A_SATISFAIRE(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function sTOCKS_DS_LIGNES_A_SATISFAIRE(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function sTOCKS_INVENTAIRES_A_REALISER(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function sTOCKS_INVENTAIRES_ARTICLES(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function dOCS_RATTACHES(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function sTOCKS_DOCS(): bool
    {
        return true;
    }
}
